Distribution:   CCux
Packager:	Christian Wasem <wasem[at]ccux-linux.de>

Name:		libsigc++ 
Version:	2.2.2 
Release:	1
Provides:	%{name}
Obsoletes:	%{name} = %{version}
License:	GNU/GPL 
URL:		http://libsigc.sourceforge.net/
Group:		Development/Other
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	%{name} implements a typesafe callback system for standard C++.
BuildRequires:	libstdc++-devel
BuildRequires:  glibc-devel


# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
%{name} implements a typesafe callback system for standard C++.
It allows you to define signals and to connect those signals to any callback function,
either global or a member function, regardless of whether it is static or virtual.
For more details see: %{url}

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%package doc
Summary: 	%{name} manual pages.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}
Obsoletes:	%{name}-man

%description doc
%{name} manual pages.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_libdir}/libsigc-2.0.so.0
%{_libdir}/libsigc-2.0.so.0.0.0
%{_libdir}/sigc++-2.0/include/sigc++config.h

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.la
%_libdir/*.a
%_libdir/*.so
%_libdir/pkgconfig/sigc++-2.0.pc

%files doc
%defattr(-,root,root)
%{_datadir}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.2.2-1
- Version update
* Fri Oct 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.17-1
- Version update
* Fri Jul 01 2005 Christian Metzen <metzench@ccux-linux.de> 2.0.14-2
- Tweaked specfile, renamed man to doc package, moved more files to devel package
* Mon Jun 27 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.0.14-1
- Version Update to 2.0.14
* Sun Jan 16 2005 Christian Wasem <wasem[at]ccux-linux.de> 2.0.6-1
- Initial Release
